# Class GSMenuController

java.lang.Object
GSMenuController

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class GSMenuController extends Object implements ActionListener
La classe GSMenuController gère les actions déclenchées par les boutons du menu.

## Constructor Summary

Constructors
Constructor
Description
`GSMenuController(GSMenu gsMenu, Window mainWindow)`
Constructeur de la classe GSMenuController.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Méthode appelée lorsqu'une action est effectuée (clic sur un bouton).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSMenuController

public GSMenuController(GSMenu gsMenu, Window mainWindow)
Constructeur de la classe GSMenuController.

Parameters:
  `gsMenu` - Le menu Sudoku à contrôler.
  `mainWindow` - La fenêtre principale.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Méthode appelée lorsqu'une action est effectuée (clic sur un bouton).

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - L'événement associé à l'action.